//----------------------------------------------------------------------
//	Copyright  1990-2005 by Imaginova Canada, Inc., All rights reserved.
//
//	File:		ControllerPluginUtils.h
//
//	Contains:	Helper Utils for scope controller plugin.
//				
//	Authors:	Dave Whipps
//
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/09/18	DWW			4.0.0		New for Pro 4.0
//----------------------------------------------------------------------



double 			ClockSec(void);
unsigned char*	PStringAssign(unsigned char *destination, const char *source);								
unsigned char*	PStringAssign(unsigned char *destination, LStr255 *source);								
void 			HandleError(long inSNErr);
void 			CallBackErrorHandler(long inSNErr);
				
void			SetStatusText(	const LStr255* inMessageText,
								const LStr255* inInformativeText,
								double inRA = coordinate_NotAvailable,
								double inDec= coordinate_NotAvailable);
