//----------------------------------------------------------------------
//	Copyright  1999-2001 by SPACE.com Canada, Inc., All rights reserved.
//
//	File:		Win32Prefix(debug).h
//
//	Contains:	the global prefix defines for the Win32 Serial Comm file
//					
//	Authors:	Dave Whipps
//
//	Date		Initials	Version		Comments
//  ----------	---------	----------	---------------------------
//	01/09/25	DWW			4.0.0		new for the scope plugin
//
//----------------------------------------------------------------------

#pragma once on
#define	qXDebug							0

#define TARGET_OS_MAC					0
#define TARGET_OS_WIN32					1

//Mac types used in scope plugin
typedef unsigned char                   UInt8;
typedef signed char                     SInt8;
typedef unsigned short                  UInt16;
typedef signed short                    SInt16;
typedef unsigned long                   UInt32;
typedef signed long                     SInt32;
typedef char *                          Ptr;
typedef Ptr *                           Handle;
typedef unsigned char *                 StringPtr;
typedef const unsigned char *           ConstStringPtr;
typedef unsigned char                   Boolean;
typedef unsigned char                   Str255[256];
typedef unsigned char                   Str63[64];
typedef unsigned char                   Str32[33];
typedef unsigned char                   Str31[32];
typedef unsigned char                   Str27[28];
typedef unsigned char                   Str15[16];

//Win 32 headers
#include "ansi_prefix.win32.h"
#include <windows.h>

// Standard C includes
#include <math.h>
#include <iostream.h>
#include <Assert.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>

// telescope utils
#include "PluginLString.h"
#include "ScopeControllerConstants.h"

// starry night
#include "StarryNightPlugins.h"


